Bug 1558787

Summary: FFU: provide a way to set up Ceph 3.0 repositories during FFU
Product: Red Hat OpenStack Reporter: Marius Cornea <mcornea>
Component: openstack-tripleo-heat-templatesAssignee: Giulio Fidente <gfidente>
Status: CLOSED CURRENTRELEASE QA Contact: Yogev Rabl <yrabl>
Severity: high Docs Contact:
Priority: high    
Version: 13.0 (Queens)CC: augol, ccamacho, dbecker, gamado, gfidente, johfulto, lbezdick, mbracho, mbultel, mburns, mcornea, morazi, pgrist, rhel-osp-director-maint, srevivo
Target Milestone: z2Keywords: TestOnly, Triaged, ZStream
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openstack-tripleo-heat-templates-8.0.4-18.el7ost Doc Type: Bug Fix
Doc Text:
Cause: The Ceph repos on the baremetal overcloud nodes were not updated from RHCS 2 to RHCS 3 during the FFU process. Consequence: The Ceph packages installed on the baremetal nodes were not upgraded to RHCS 3; this did not have any impact on the version of the running Ceph cluster, which was migrated correctly to the RHCS 3 container images. Fix: Update the Ceph repos on the baremetal overcloud nodes. Result: The Ceph packages pre-installed on the baremetal overcloud nodes can be upgraded to RHCS 3 after the FFU process finishes.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-29 19:52:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1562209, 1609966    
Bug Blocks: 1488566, 1614753    

Description Marius Cornea 2018-03-21 01:36:08 UTC
Description of problem:

FFU: provide a way to set up Ceph 3.0 repositories during FFU and update ceph baremetal rpm packages.

Currently we are manually installing the Ceph 3.0 repos on the overcloud nodes after the FFU deploy_steps_playbook.yaml playbook has finished. We need a way to set up these repos automatically during the FFU procedure by Director and also update the ceph rpm packages after these repos have been setup.

Comment 2 Lukas Bezdicka 2018-05-04 15:28:35 UTC
With ceph-upgrade CLI patches we will most likely end up using UpgradeInit.

Comment 4 Lukas Bezdicka 2018-05-09 13:30:49 UTC
We need to document that users should provide yaml file with UpgradeInitCommonCommand to switch ceph repos from Ceph2 to Ceph3

Comment 5 Lukas Bezdicka 2018-05-09 15:43:20 UTC
Needs patch in THT

Comment 6 Mike Orazi 2018-05-09 16:54:58 UTC
Once we are moved to containers as part of Fast Forward this content will remain updating from Ceph 2.x.  This will not impact the running system so we can defer this, but we should fix eventually.

Comment 24 Joanne O'Flynn 2018-08-15 07:56:57 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 26 Yogev Rabl 2018-08-28 19:04:49 UTC
blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1594211

Comment 32 Yogev Rabl 2018-08-29 18:25:18 UTC
Verified on openstack-tripleo-heat-templates-8.0.4-20.el7ost.noarch

Comment 33 Lon Hohberger 2018-08-29 19:52:28 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-8.0.4-20.el7ost.  This build is available now.